Package org.springframework.util.backoff

# Interface BackOffExecution

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BackOffExecution
Represent a particular back-off execution.

Implementations do not need to be thread safe.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  - `BackOff`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`STOP`
Return value of `nextBackOff()` that indicates that the operation should not be retried.

## Method Summary

Modifier and Type
Method
Description
`long`
`nextBackOff()`
Return the number of milliseconds to wait before retrying the operation or `STOP` (-1L) to indicate that no further attempt should be made for the operation.

## Field Details

### STOP

static final long STOP
Return value of `nextBackOff()` that indicates that the operation should not be retried.

See Also:
  - Constant Field Values

## Method Details

### nextBackOff

long nextBackOff()
Return the number of milliseconds to wait before retrying the operation or `STOP` (-1L) to indicate that no further attempt should be made for the operation.